<?php

interface FilesItemInterface {
    public function getId(): string;
    public function isFolder(): bool;
    public function isFile(): bool;
    public function getUrl(): string;
    public function getSize(): ?int;
    public function getTitle(): string;
    public function getTitleHtml(): ?string;
    public function getMeta(?string $hl_matched = null): array;
    public function isAvailable(): bool;
    public function isTargetBlank(): bool;
    public function getSubtitle(): ?string;
}